List agents
curl --request GET \
--url https://app.useduckie.ai/api/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.useduckie.ai/api/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.useduckie.ai/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "agent",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"last_run_at": "2023-11-07T05:31:56Z",
"start_with": {
"type": "<string>",
"id": "<string>",
"name": "<string>"
},
"instructions": "<string>",
"model_config": {},
"tool_ids": [
"<string>"
],
"resolution_tracking": true,
"resolution_rule_ids": [
"<string>"
],
"knowledge_tags": [
"<string>"
],
"guideline_ids": [
"<string>"
],
"guardrail_ids": [
"<string>"
],
"attribute_ids": [
"<string>"
],
"category_ids": [
"<string>"
],
"included_runbook_ids": [
"<string>"
],
"excluded_runbook_ids": [
"<string>"
],
"included_workflow_ids": [
"<string>"
],
"excluded_workflow_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}Agents
List agents
GET
https://app.useduckie.ai
/
api
/
v1
/
agents
List agents
Authorizations
API key created in Duckie Settings -> API Access.
Query Parameters
Maximum number of records to return. Defaults to 100 and is capped at 200.
Required range:
1 <= x <= 200Opaque cursor from the previous page's pagination.next_cursor value.
⌘I